# Generated by Django 3.2.7 on 2024-05-29 15:15

from django.db import migrations

def remove_null(apps, schema_editor):
    Contrat = apps.get_model('gaia_distribs', 'Contrat')
    InscriptionAdherent = apps.get_model('gaia_distribs', 'InscriptionAdherent')
    InscriptionProduit = apps.get_model('gaia_distribs', 'InscriptionProduit')
    Contrat.objects.filter(ferme__isnull=True).delete()
    Contrat.objects.filter(souscripteur__isnull=True).delete()
    InscriptionAdherent.objects.filter(utilisateur__isnull=True).delete()
    InscriptionProduit.objects.filter(produit__ferme__isnull=True).delete()

class Migration(migrations.Migration):

    dependencies = [
        ('gaia_distribs', '0013_inscriptionadherent_recupere'),
    ]

    operations = [
        migrations.RunPython(remove_null, migrations.RunPython.noop),
    ]
